net.minecraft.client.renderer.tileentity

## Class TileEntitySpecialRenderer

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

- Direct Known Subclasses:
    RenderEnchantmentTable, RenderEndPortal, TileEntityBeaconRenderer, TileEntityChestRenderer, TileEntityEnderChestRenderer, TileEntityMobSpawnerRenderer, TileEntityRendererPiston, TileEntitySignRenderer, TileEntitySkullRenderer

      public abstract class TileEntitySpecialRenderer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TileEntityRendererDispatcher` | `field_147501_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntitySpecialRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bindTexture(ResourceLocation p_147499_1_)`
    `void` | `func_147496_a(World p_147496_1_)`
    `void` | `func_147497_a(TileEntityRendererDispatcher p_147497_1_)`
    `FontRenderer` | `func_147498_b()`
    `abstract void` | `renderTileEntityAt(TileEntity var1, double var2, double var4, double var6, float var8)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147501_a

          protected TileEntityRendererDispatcher field_147501_a

  - ### Constructor Detail

    - #### TileEntitySpecialRenderer

          public TileEntitySpecialRenderer()

  - ### Method Detail

    - #### renderTileEntityAt

          public abstract void renderTileEntityAt(TileEntity var1,
                                double var2,
                                double var4,
                                double var6,
                                float var8)

    - #### bindTexture

          protected void bindTexture(ResourceLocation p_147499_1_)

    - #### func_147497_a

          public void func_147497_a(TileEntityRendererDispatcher p_147497_1_)

    - #### func_147496_a

          public void func_147496_a(World p_147496_1_)

    - #### func_147498_b

          public FontRenderer func_147498_b()